<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.MainActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/linearLayout4"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_24"
            android:orientation="horizontal"
            app:layout_constraintEnd_toStartOf="@+id/iv_download"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/iv_appicon"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="20dp"
                android:adjustViewBounds="true"
                android:background="@drawable/ic_place_holder"
                android:scaleType="centerInside"
                android:visibility="gone" />

            <RelativeLayout
                android:id="@+id/search_layout"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/dp_8"
                android:layout_marginEnd="@dimen/dp_8"
                android:layout_weight="1"
                android:visibility="visible">

                <LinearLayout
                    android:id="@+id/search_ll"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_32"
                    android:layout_centerInParent="true"
                    android:gravity="center_vertical">

                    <ImageView
                        android:layout_width="@dimen/dp_10"
                        android:layout_height="@dimen/dp_20"
                        android:gravity="center_vertical"
                        android:src="@drawable/shap_search_left" />

                    <ImageView
                        android:layout_width="@dimen/dp_10"
                        android:layout_height="@dimen/dp_20"
                        android:adjustViewBounds="true"
                        android:background="@color/search"
                        android:scaleType="centerInside"
                        android:src="@drawable/ic_menu_search" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_20"
                        android:background="@drawable/shap_search_right"
                        android:gravity="center_vertical"
                        android:text="@string/search_edit"
                        android:textColor="#a7a5a5"
                        android:textSize="@dimen/sp_8" />
                </LinearLayout>
            </RelativeLayout>

            <ImageView
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_gravity="center_vertical"
                android:layout_marginRight="20dp"
                android:src="@drawable/ic_action_bar"
                android:visibility="gone" />
        </LinearLayout>

        <ImageView
            android:id="@+id/iv_download"
            android:layout_width="@dimen/dp_12"
            android:layout_height="@dimen/dp_12"
            android:layout_marginEnd="@dimen/dp_8"
            android:adjustViewBounds="true"
            android:scaleType="centerInside"
            android:src="@drawable/icon_download_task"
            app:layout_constraintBottom_toBottomOf="@+id/linearLayout4"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/linearLayout4" />

        <com.flyco.tablayout.SlidingTabLayout
            android:id="@+id/main_sliding_tab_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_20"
            android:background="@color/white"
            android:visibility="gone"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout4"
            app:tl_indicator_style="TRIANGLE"
            app:tl_tab_space_equal="true"
            app:tl_textBold="SELECT"
            app:tl_textSelectColor="@color/default_text_color"
            app:tl_textUnselectColor="@color/install"
            app:tl_textsize="@dimen/sp_11" />

        <androidx.viewpager.widget.ViewPager
            android:id="@+id/main_view_pager"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:overScrollMode="never"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/main_sliding_tab_layout" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>